incubator-connectors-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From conflue...@apache.org
Subject [CONF] Apache Connectors Framework > Maven Dependencies
Date Wed, 06 Apr 2011 15:25:00 GMT
Space: Apache Connectors Framework (https://cwiki.apache.org/confluence/display/CONNECTORS)
Page: Maven Dependencies (https://cwiki.apache.org/confluence/display/CONNECTORS/Maven+Dependencies)


Edited by Karl Wright:
---------------------------------------------------------------------
Some research has been done into whether ManifoldCF can be upgraded to the latest sources
or not for the jars currently included under _modules/lib_, and if so, what maven targets
would be used.

The following table describes the maven targets that have been tried and found to work.  Where
the version is not specified, the latest version was found to work.

|| Dependent jar || Maven target || Version ||
| commons-codec.jar | commons-codec->commons-codec | |
| commons-collections.jar | commons-collections->commons-collections | |
| commons-el.jar | commons-el->commons-el | |
| commons-fileupload.jar | commons-fileupload->commons-fileupload | |
| commons-io.jar | commons-io->commons-io | |
| commons-logging.jar | commons-logging->commons-logging | |
| commons-discovery.jar | commons-discovery->commons-discovery | |
| log4j-1.2.jar | log4j->log4j | |
| poi.jar | org.apache.poi->poi | |
| jasper-compiler.jar | tomcat->jasper-compiler | |
| jasper-compiler-jdt.jar | tomcat->jasper-compiler-jdt | |
| jasper-runtime.jar | tomcat->jasper-runtime | |
| servlet-api.jar | tomcat->servlet-api | |
| jsp-api.jar | tomcat->jsp-api | |
| castor*.jar | org.codehaus.castor->castor | 1.0.5 |
| axis.jar | org.apache.axis->axis | 1.4 |
| axis-jaxrpc.jar | org.apache.axis->axis-jaxrpc | 1.4 |
| axis-saaj.jar | org.apache.axis->axis-saaj | 1.4 |
| wsdl4j.jar | wsdl4j->wsdl4j | |
| geronimo-activation*.jar | org.apache.geronimo.specs->geronimo-activation_1.1_spec |
|
| geronimo-javamail*.jar | org.apache.geronimo.specs->geronimo-javamail_1.4_spec | |

Experiments with Apache Ivy indicate that dependency resolution of the above list fails. 
The reasons are unknown but appear to be broken dependencies in the maven repository.  Here's
the output:

{code}
[ivy:cachepath]         ==== public: tried
[ivy:cachepath]           http://repo1.maven.org/maven2/javax/transaction/jta/1.
0.1B/jta-1.0.1B.jar
[ivy:cachepath]                 ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:cachepath]                 ::          UNRESOLVED DEPENDENCIES         ::
[ivy:cachepath]                 ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:cachepath]                 :: adaptx#adaptx;0.9.13: not found
[ivy:cachepath]                 ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:cachepath]
[ivy:cachepath]                 ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:cachepath]                 ::              FAILED DOWNLOADS            ::
[ivy:cachepath]                 :: ^ see resolution messages for details  ^ ::
[ivy:cachepath]                 ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:cachepath]                 :: javax.transaction#jta;1.0.1B!jta.jar
[ivy:cachepath]                 ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:cachepath]
[ivy:cachepath]
{code}

Furthermore, Ivy and Maven both try to load huge numbers of "dependencies" that are in fact
unneeded.  Not sure why this happens.


Change your notification preferences: https://cwiki.apache.org/confluence/users/viewnotifications.action
   

Mime
View raw message